## bplay 0.95

=== Makefile ===
PROG = bplay
OBJS = bplay.o sndfunc.o shmbuf.o
SRCS = bplay.c sndfunc.o shmbuf.c

CC = gcc
CFLAGS = -Wall -O2 -m486 # -DDEBUG # -DUSEBUFFLOCK
LDFLAGS = 
LIBS =

$(PROG): $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) -o $(PROG) $(LIBS)
	ln -sf bplay brec

clean:
	rm -f bplay brec *.o

## bplay 0.96

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 SRCS = bplay.c sndfunc.o shmbuf.c
 
 CC = gcc
-CFLAGS = -Wall -O2 -m486 # -DDEBUG # -DUSEBUFFLOCK
+CFLAGS = -Wall -O2 -m486 -DUSEBUFFLOCK -DDEBUG
 LDFLAGS = 
 LIBS =

## bplay 0.991

=== Makefile ===
PROG = bplay
OBJS = bplay.o sndfunc.o shmbuf.o
SRCS = bplay.c sndfunc.o shmbuf.c

CC = gcc
CFLAGS = -Wall -O3 -DUSEBUFFLOCK #-DDEBUG
LDFLAGS = 
LIBS =

$(PROG): $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) -o $(PROG) $(LIBS)
	ln -sf bplay brec

clean:
	rm -f bplay brec *.o *~

=== debian/changelog ===
bplay (0.991-11) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Maintain in Debian Multimedia team
    Closes: #1089635
  * d/copyright: DEP5
  * d/control: Depends: ${misc:Depends}
  * d/rules: short dh
  * Propagate hardening options
  * Avoid embedding the build path for reproducible builds
    Closes: #1020884
  * Standards-Version: 4.7.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Refer to specific version of license GPL-2+.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    Closes: #901262

  [ Nathan Handler ]
  * Spell "Debian GNU/Linux" correctly to fix lintian warning
    Closes: #498084 (LP: #267275)

 -- Andreas Tille <tille@debian.org>  Tue, 31 Dec 2024 09:32:37 +0100

bplay (0.991-10.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1036419)

 -- Bastian Germann <bage@debian.org>  Wed, 16 Aug 2023 22:21:31 +0000

bplay (0.991-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
      - Closes: #965440
  * debian/rules: added missing targets build-arch and build-indep.
    (Closes: #999139)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 16 Apr 2022 16:32:45 -0300

bplay (0.991-10) unstable; urgency=low

  * Install the manpages. (Closes: #327759)
  * debian/copyright: download location is gone, so just removing it for now.
  * bplay.1: fixed minor typo.  (Closes: #307033)
  * debian/control: Standards-Version bumped to 3.7.2.2.
  * debian/compat: created, compatible with debhelper V5.
  * debian/control: Build-Depends on debhelper >> 5.0.0 now.
  * debian/rules: no longer ignore the result of 'make clean', removes
    binary-indep target, and uses dh_install now.

 -- Carlos Laviola <claviola@debian.org>  Thu, 27 Sep 2007 20:51:21 -0300

bplay (0.991-9) unstable; urgency=low

  * Applied patch sent to gramofile (#292137), which has a forked bplay
    codebase, that hopefully fixes our endianness and byteswapping problems.
  * Implemented a quiet mode option  (Closes: #119077).
  * Informational messages are now sent to stdout instead of stderr.
    (Closes: #228668)

 -- Carlos Laviola <claviola@debian.org>  Wed,  4 May 2005 00:39:17 -0300

bplay (0.991-8) unstable; urgency=low

  * Set maintainer to the Debian QA Group <packages@qa.debian.org>, as I'm
    leaving the project.  Kudos to all who remain and those that will still
    come.

 -- Carlos Laviola <claviola@debian.org>  Fri,  5 Mar 2004 18:32:03 -0300

bplay (0.991-7) unstable; urgency=low

  * Applied patch by Alexandre Belloni <abelloni@nerim.net>, which complements
    the LFS patch by Eduard Bloch and makes bplay work again.
    (Closes: #193388, #193714)

 -- Carlos Laviola <claviola@debian.org>  Sat,  7 Jun 2003 00:39:14 -0300

bplay (0.991-6) unstable; urgency=low

  * Added LFS support, since upstream is MIA, thanks to Eduard Bloch.
    (Closes: #64962)

 -- Carlos Laviola <claviola@debian.org>  Sun, 11 May 2003 13:22:35 -0300

bplay (0.991-5) unstable; urgency=low

  * Applied a couple of patches from Edmund GRIMLEY EVANS <edmundo@rano.org>
    which should fix a couple of bugs. Thanks, Edmund. (Closes: #83347, #84904)

 -- Carlos Laviola <claviola@debian.org>  Thu, 21 Feb 2002 20:11:40 -0300

bplay (0.991-4) unstable; urgency=low

  * Changed my e-mail from claviola@ajato.com.br to claviola@debian.org
    in all my packages.

 -- Carlos Laviola <claviola@debian.org>  Wed, 30 May 2001 16:34:08 -0300

bplay (0.991-3) unstable; urgency=low

  * New maintainer. (Closes: #91297)
  * Upped Standards-Version to 3.5.4
  * Made a few cosmetic changes to debian/copyright

 -- Carlos Laviola <claviola@ajato.com.br>  Fri, 25 May 2001 21:17:22 -0300

bplay (0.991-2) unstable; urgency=low

  * Added build-depends (Closes #70298)
  * Added patch from #80007 to enable -j/-J options. (Closes: #80007)
    patch by andy@sharinga.com

 -- Peter Makholm <peter@makholm.net>  Wed, 20 Dec 2000 22:51:16 +0100

bplay (0.991-1) unstable; urgency=low

  * New upstream

 -- Peter Makholm <peter@makholm.net>  Tue, 26 Sep 2000 08:30:08 +0200

bplay (0.99-2) unstable frozen; urgency=low

  * Fixed endianess issue with wav-files (Closes: #60041)
    - This patch does only affect bigendian machines, where bplay obvious
      didn't work before but should do now

 -- Peter Makholm <peter@makholm.net>  Mon, 13 Mar 2000 11:06:22 +0100

bplay (0.99-1) unstable frozen; urgency=low

  * New upstream version
    The only changes in this version is my previous fixes to bplay and
    a one-line fix to a bug.
  * Should fix problems with ES1370 (Closes: #57193)
    This is the one-line fix.
  * Removed "audio/basic"-MIME entry (Closes: #57193)

 -- Peter Makholm <peter@makholm.net>  Tue, 7 Mar 2000 14:24:41 +0100

bplay (0.98-7) unstable; urgency=low

  * Small changes to make it 64-bit clean
  * Wrote a README.Debian documenting changes from upstream

 -- Peter Makholm <peter@makholm.net>  Wed, 12 Jan 2000 22:28:10 +0100

bplay (0.98-6) unstable; urgency=low

  * Added file format switches to man page (Closes: #53577)

 -- Peter Makholm <peter@makholm.net>  Thu, 30 Dec 1999 05:43:19 +0100

bplay (0.98-5) unstable; urgency=low

  * Added switch to write debug information

 -- Peter Makholm <peter@makholm.net>  Thu,  9 Dec 1999 21:54:01 +0100

bplay (0.98-4) unstable; urgency=low

  * The previous version was not accepted by dinstall
  * Very minor packaging cleanups
  * Fixes compiler errors

 -- Peter Makholm <peter@makholm.net>  Mon,  6 Dec 1999 23:32:40 +0100

bplay (0.98-3) unstable; urgency=low

  * Changed low limit on audio buffer size. (Closes: #48127)

 -- Peter Makholm <peter@makholm.net>  Tue,  9 Nov 1999 23:52:14 +0100

bplay (0.98-2) unstable; urgency=low

  * Removed some debugging messages


=== debian/control ===
Source: bplay
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Carlos Laviola <claviola@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/multimedia-team/bplay
Vcs-Git: https://salsa.debian.org/multimedia-team/bplay.git

Package: bplay
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Buffered audio file player/recorder
 The bplay package provides a simple command-line utility for playing
 and recording audio files in raw sample, VOC and WAV formats.
 .
 To use this program you need a soundcard of some kind and the
 appropriate driver configured into your kernel.
 .
 When run the program creates two processes which share a memory
 buffer.  It does reading/writing on the disk and the sound device
 simultaneously, in order to be less liable to `pause' because the
 disk is too slow or too busy.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS += -DUSEBUFFLOCK
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Avoid embedding the build path for reproducible builds
CFLAGS += -ffile-prefix-map=$(CURDIR)=.

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
